> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/customs-catalog-api/master-catalog.md).

# Master Catalog

## POST /api/v2/MasterCatalog/Reload

> Allows a retailer to reload a catalog that will be subject to validation processing.

```json
{"openapi":"3.0.4","info":{"title":"Customs.Catalog.Api","version":"2.0.1432.0"},"servers":[{"url":"https://logistics-customscatalog-api.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"Customs.Catalog.Domain.Pkg.Models.DTO.MasterCatalogRequest":{"type":"object","properties":{"brandCode":{"type":"string","description":"Unique three-letter identifier for the retailer’s brand","nullable":true},"tenantCode":{"type":"string","description":"Tenant Code","nullable":true}},"additionalProperties":false,"description":"Master Catalog Request DTO"},"Customs.Catalog.Domain.Pkg.Models.Domain.MasterCatalogQueue":{"type":"object","properties":{"id":{"type":"string","description":"Internal Cosmos ID","nullable":true},"timestamp":{"type":"string","description":"Internal Cosmos timestamp.","format":"date-time","readOnly":true},"eTag":{"type":"string","description":"Internal Cosmos ETag","nullable":true,"readOnly":true},"lastModifiedDateTime":{"type":"string","description":"LastModifiedDate of the record. Will serialize the Timestamp field to a DateTime across the API.","format":"date-time","readOnly":true},"modifiedBy":{"type":"string","description":"Modified By","nullable":true},"correlationId":{"type":"string","description":"Correlation Id","nullable":true},"traceContext":{"type":"string","description":"TraceContext","nullable":true},"brandCode":{"type":"string","description":"The brand code","nullable":true},"requestEmailAddress":{"type":"string","description":"Email Address of the user that made the request","nullable":true},"requestDate":{"type":"string","description":"The RequestDate","format":"date-time"}},"additionalProperties":false,"description":"MasterCatalogQueue"},"Customs.Catalog.Domain.Pkg.Models.DTO.Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"additionalProperties":false,"description":"Error information."}}},"paths":{"/api/v2/MasterCatalog/Reload":{"post":{"tags":["MasterCatalog"],"summary":"Allows a retailer to reload a catalog that will be subject to validation processing.","operationId":"api/v2/MasterCatalog/Reload_POST","requestBody":{"description":"","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.MasterCatalogRequest"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.MasterCatalogRequest"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.MasterCatalogRequest"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.MasterCatalogRequest"}}}},"responses":{"201":{"description":"Created","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.MasterCatalogQueue"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.MasterCatalogQueue"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.Domain.MasterCatalogQueue"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}},"412":{"description":"Precondition Failed","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}},"text/json":{"schema":{"$ref":"#/components/schemas/Customs.Catalog.Domain.Pkg.Models.DTO.Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/customs-catalog-api/master-catalog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
